"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvokeEndpointAsyncOutput = exports.InvokeEndpointAsyncInput = exports.ValidationError = exports.ServiceUnavailable = exports.ModelNotReadyException = exports.ModelError = exports.InvokeEndpointOutput = exports.InvokeEndpointInput = exports.InternalFailure = exports.InternalDependencyException = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const SageMakerRuntimeServiceException_1 = require("./SageMakerRuntimeServiceException");
class InternalDependencyException extends SageMakerRuntimeServiceException_1.SageMakerRuntimeServiceException {
    constructor(opts) {
        super({
            name: "InternalDependencyException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalDependencyException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalDependencyException.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalDependencyException = InternalDependencyException;
class InternalFailure extends SageMakerRuntimeServiceException_1.SageMakerRuntimeServiceException {
    constructor(opts) {
        super({
            name: "InternalFailure",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalFailure";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalFailure.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalFailure = InternalFailure;
var InvokeEndpointInput;
(function (InvokeEndpointInput) {
    InvokeEndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Body && { Body: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.CustomAttributes && { CustomAttributes: smithy_client_1.SENSITIVE_STRING }),
    });
})(InvokeEndpointInput = exports.InvokeEndpointInput || (exports.InvokeEndpointInput = {}));
var InvokeEndpointOutput;
(function (InvokeEndpointOutput) {
    InvokeEndpointOutput.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Body && { Body: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.CustomAttributes && { CustomAttributes: smithy_client_1.SENSITIVE_STRING }),
    });
})(InvokeEndpointOutput = exports.InvokeEndpointOutput || (exports.InvokeEndpointOutput = {}));
class ModelError extends SageMakerRuntimeServiceException_1.SageMakerRuntimeServiceException {
    constructor(opts) {
        super({
            name: "ModelError",
            $fault: "client",
            ...opts,
        });
        this.name = "ModelError";
        this.$fault = "client";
        Object.setPrototypeOf(this, ModelError.prototype);
        this.Message = opts.Message;
        this.OriginalStatusCode = opts.OriginalStatusCode;
        this.OriginalMessage = opts.OriginalMessage;
        this.LogStreamArn = opts.LogStreamArn;
    }
}
exports.ModelError = ModelError;
class ModelNotReadyException extends SageMakerRuntimeServiceException_1.SageMakerRuntimeServiceException {
    constructor(opts) {
        super({
            name: "ModelNotReadyException",
            $fault: "client",
            ...opts,
        });
        this.name = "ModelNotReadyException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ModelNotReadyException.prototype);
        this.Message = opts.Message;
    }
}
exports.ModelNotReadyException = ModelNotReadyException;
class ServiceUnavailable extends SageMakerRuntimeServiceException_1.SageMakerRuntimeServiceException {
    constructor(opts) {
        super({
            name: "ServiceUnavailable",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceUnavailable";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceUnavailable.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceUnavailable = ServiceUnavailable;
class ValidationError extends SageMakerRuntimeServiceException_1.SageMakerRuntimeServiceException {
    constructor(opts) {
        super({
            name: "ValidationError",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationError";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationError.prototype);
        this.Message = opts.Message;
    }
}
exports.ValidationError = ValidationError;
var InvokeEndpointAsyncInput;
(function (InvokeEndpointAsyncInput) {
    InvokeEndpointAsyncInput.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.CustomAttributes && { CustomAttributes: smithy_client_1.SENSITIVE_STRING }),
    });
})(InvokeEndpointAsyncInput = exports.InvokeEndpointAsyncInput || (exports.InvokeEndpointAsyncInput = {}));
var InvokeEndpointAsyncOutput;
(function (InvokeEndpointAsyncOutput) {
    InvokeEndpointAsyncOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InvokeEndpointAsyncOutput = exports.InvokeEndpointAsyncOutput || (exports.InvokeEndpointAsyncOutput = {}));
