import { __extends } from "tslib";
import { InvokeEndpointAsyncCommand, } from "./commands/InvokeEndpointAsyncCommand";
import { InvokeEndpointCommand, } from "./commands/InvokeEndpointCommand";
import { SageMakerRuntimeClient } from "./SageMakerRuntimeClient";
var SageMakerRuntime = (function (_super) {
    __extends(SageMakerRuntime, _super);
    function SageMakerRuntime() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SageMakerRuntime.prototype.invokeEndpoint = function (args, optionsOrCb, cb) {
        var command = new InvokeEndpointCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    SageMakerRuntime.prototype.invokeEndpointAsync = function (args, optionsOrCb, cb) {
        var command = new InvokeEndpointAsyncCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    return SageMakerRuntime;
}(SageMakerRuntimeClient));
export { SageMakerRuntime };
