import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { InvokeEndpointAsyncInput, InvokeEndpointAsyncOutput } from "../models/models_0";
import { deserializeAws_restJson1InvokeEndpointAsyncCommand, serializeAws_restJson1InvokeEndpointAsyncCommand, } from "../protocols/Aws_restJson1";
var InvokeEndpointAsyncCommand = (function (_super) {
    __extends(InvokeEndpointAsyncCommand, _super);
    function InvokeEndpointAsyncCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    InvokeEndpointAsyncCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerRuntimeClient";
        var commandName = "InvokeEndpointAsyncCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: InvokeEndpointAsyncInput.filterSensitiveLog,
            outputFilterSensitiveLog: InvokeEndpointAsyncOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    InvokeEndpointAsyncCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1InvokeEndpointAsyncCommand(input, context);
    };
    InvokeEndpointAsyncCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1InvokeEndpointAsyncCommand(output, context);
    };
    return InvokeEndpointAsyncCommand;
}($Command));
export { InvokeEndpointAsyncCommand };
