import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { InvokeEndpointInput, InvokeEndpointOutput } from "../models/models_0";
import { deserializeAws_restJson1InvokeEndpointCommand, serializeAws_restJson1InvokeEndpointCommand, } from "../protocols/Aws_restJson1";
var InvokeEndpointCommand = (function (_super) {
    __extends(InvokeEndpointCommand, _super);
    function InvokeEndpointCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    InvokeEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerRuntimeClient";
        var commandName = "InvokeEndpointCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: InvokeEndpointInput.filterSensitiveLog,
            outputFilterSensitiveLog: InvokeEndpointOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    InvokeEndpointCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1InvokeEndpointCommand(input, context);
    };
    InvokeEndpointCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1InvokeEndpointCommand(output, context);
    };
    return InvokeEndpointCommand;
}($Command));
export { InvokeEndpointCommand };
