import { __assign, __extends } from "tslib";
import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
import { SageMakerRuntimeServiceException as __BaseException } from "./SageMakerRuntimeServiceException";
var InternalDependencyException = (function (_super) {
    __extends(InternalDependencyException, _super);
    function InternalDependencyException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalDependencyException", $fault: "server" }, opts)) || this;
        _this.name = "InternalDependencyException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalDependencyException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InternalDependencyException;
}(__BaseException));
export { InternalDependencyException };
var InternalFailure = (function (_super) {
    __extends(InternalFailure, _super);
    function InternalFailure(opts) {
        var _this = _super.call(this, __assign({ name: "InternalFailure", $fault: "server" }, opts)) || this;
        _this.name = "InternalFailure";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalFailure.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InternalFailure;
}(__BaseException));
export { InternalFailure };
export var InvokeEndpointInput;
(function (InvokeEndpointInput) {
    InvokeEndpointInput.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.Body && { Body: SENSITIVE_STRING })), (obj.CustomAttributes && { CustomAttributes: SENSITIVE_STRING }))); };
})(InvokeEndpointInput || (InvokeEndpointInput = {}));
export var InvokeEndpointOutput;
(function (InvokeEndpointOutput) {
    InvokeEndpointOutput.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.Body && { Body: SENSITIVE_STRING })), (obj.CustomAttributes && { CustomAttributes: SENSITIVE_STRING }))); };
})(InvokeEndpointOutput || (InvokeEndpointOutput = {}));
var ModelError = (function (_super) {
    __extends(ModelError, _super);
    function ModelError(opts) {
        var _this = _super.call(this, __assign({ name: "ModelError", $fault: "client" }, opts)) || this;
        _this.name = "ModelError";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ModelError.prototype);
        _this.Message = opts.Message;
        _this.OriginalStatusCode = opts.OriginalStatusCode;
        _this.OriginalMessage = opts.OriginalMessage;
        _this.LogStreamArn = opts.LogStreamArn;
        return _this;
    }
    return ModelError;
}(__BaseException));
export { ModelError };
var ModelNotReadyException = (function (_super) {
    __extends(ModelNotReadyException, _super);
    function ModelNotReadyException(opts) {
        var _this = _super.call(this, __assign({ name: "ModelNotReadyException", $fault: "client" }, opts)) || this;
        _this.name = "ModelNotReadyException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ModelNotReadyException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ModelNotReadyException;
}(__BaseException));
export { ModelNotReadyException };
var ServiceUnavailable = (function (_super) {
    __extends(ServiceUnavailable, _super);
    function ServiceUnavailable(opts) {
        var _this = _super.call(this, __assign({ name: "ServiceUnavailable", $fault: "server" }, opts)) || this;
        _this.name = "ServiceUnavailable";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, ServiceUnavailable.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ServiceUnavailable;
}(__BaseException));
export { ServiceUnavailable };
var ValidationError = (function (_super) {
    __extends(ValidationError, _super);
    function ValidationError(opts) {
        var _this = _super.call(this, __assign({ name: "ValidationError", $fault: "client" }, opts)) || this;
        _this.name = "ValidationError";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ValidationError.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ValidationError;
}(__BaseException));
export { ValidationError };
export var InvokeEndpointAsyncInput;
(function (InvokeEndpointAsyncInput) {
    InvokeEndpointAsyncInput.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.CustomAttributes && { CustomAttributes: SENSITIVE_STRING }))); };
})(InvokeEndpointAsyncInput || (InvokeEndpointAsyncInput = {}));
export var InvokeEndpointAsyncOutput;
(function (InvokeEndpointAsyncOutput) {
    InvokeEndpointAsyncOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InvokeEndpointAsyncOutput || (InvokeEndpointAsyncOutput = {}));
