import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { InvokeEndpointAsyncCommandInput, InvokeEndpointAsyncCommandOutput } from "./commands/InvokeEndpointAsyncCommand";
import { InvokeEndpointCommandInput, InvokeEndpointCommandOutput } from "./commands/InvokeEndpointCommand";
import { SageMakerRuntimeClient } from "./SageMakerRuntimeClient";

export declare class SageMakerRuntime extends SageMakerRuntimeClient {
    
    invokeEndpoint(args: InvokeEndpointCommandInput, options?: __HttpHandlerOptions): Promise<InvokeEndpointCommandOutput>;
    invokeEndpoint(args: InvokeEndpointCommandInput, cb: (err: any, data?: InvokeEndpointCommandOutput) => void): void;
    invokeEndpoint(args: InvokeEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: InvokeEndpointCommandOutput) => void): void;
    
    invokeEndpointAsync(args: InvokeEndpointAsyncCommandInput, options?: __HttpHandlerOptions): Promise<InvokeEndpointAsyncCommandOutput>;
    invokeEndpointAsync(args: InvokeEndpointAsyncCommandInput, cb: (err: any, data?: InvokeEndpointAsyncCommandOutput) => void): void;
    invokeEndpointAsync(args: InvokeEndpointAsyncCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: InvokeEndpointAsyncCommandOutput) => void): void;
}
