import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { InvokeEndpointAsyncInput, InvokeEndpointAsyncOutput } from "../models/models_0";
import { SageMakerRuntimeClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerRuntimeClient";
export interface InvokeEndpointAsyncCommandInput extends InvokeEndpointAsyncInput {
}
export interface InvokeEndpointAsyncCommandOutput extends InvokeEndpointAsyncOutput, __MetadataBearer {
}

export declare class InvokeEndpointAsyncCommand extends $Command<InvokeEndpointAsyncCommandInput, InvokeEndpointAsyncCommandOutput, SageMakerRuntimeClientResolvedConfig> {
    readonly input: InvokeEndpointAsyncCommandInput;
    constructor(input: InvokeEndpointAsyncCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerRuntimeClientResolvedConfig, options?: __HttpHandlerOptions): Handler<InvokeEndpointAsyncCommandInput, InvokeEndpointAsyncCommandOutput>;
    private serialize;
    private deserialize;
}
