import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { InvokeEndpointInput, InvokeEndpointOutput } from "../models/models_0";
import { SageMakerRuntimeClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerRuntimeClient";
export interface InvokeEndpointCommandInput extends InvokeEndpointInput {
}
export interface InvokeEndpointCommandOutput extends InvokeEndpointOutput, __MetadataBearer {
}

export declare class InvokeEndpointCommand extends $Command<InvokeEndpointCommandInput, InvokeEndpointCommandOutput, SageMakerRuntimeClientResolvedConfig> {
    readonly input: InvokeEndpointCommandInput;
    constructor(input: InvokeEndpointCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerRuntimeClientResolvedConfig, options?: __HttpHandlerOptions): Handler<InvokeEndpointCommandInput, InvokeEndpointCommandOutput>;
    private serialize;
    private deserialize;
}
