import { ExceptionOptionType as __ExceptionOptionType } from "@aws-sdk/smithy-client";
import { SageMakerRuntimeServiceException as __BaseException } from "./SageMakerRuntimeServiceException";

export declare class InternalDependencyException extends __BaseException {
    readonly name: "InternalDependencyException";
    readonly $fault: "server";
    Message?: string;
    
    constructor(opts: __ExceptionOptionType<InternalDependencyException, __BaseException>);
}

export declare class InternalFailure extends __BaseException {
    readonly name: "InternalFailure";
    readonly $fault: "server";
    Message?: string;
    
    constructor(opts: __ExceptionOptionType<InternalFailure, __BaseException>);
}
export interface InvokeEndpointInput {
    
    EndpointName: string | undefined;
    
    Body: Uint8Array | undefined;
    
    ContentType?: string;
    
    Accept?: string;
    
    CustomAttributes?: string;
    
    TargetModel?: string;
    
    TargetVariant?: string;
    
    TargetContainerHostname?: string;
    
    InferenceId?: string;
}
export declare namespace InvokeEndpointInput {
    
    const filterSensitiveLog: (obj: InvokeEndpointInput) => any;
}
export interface InvokeEndpointOutput {
    
    Body: Uint8Array | undefined;
    
    ContentType?: string;
    
    InvokedProductionVariant?: string;
    
    CustomAttributes?: string;
}
export declare namespace InvokeEndpointOutput {
    
    const filterSensitiveLog: (obj: InvokeEndpointOutput) => any;
}

export declare class ModelError extends __BaseException {
    readonly name: "ModelError";
    readonly $fault: "client";
    Message?: string;
    
    OriginalStatusCode?: number;
    
    OriginalMessage?: string;
    
    LogStreamArn?: string;
    
    constructor(opts: __ExceptionOptionType<ModelError, __BaseException>);
}

export declare class ModelNotReadyException extends __BaseException {
    readonly name: "ModelNotReadyException";
    readonly $fault: "client";
    Message?: string;
    
    constructor(opts: __ExceptionOptionType<ModelNotReadyException, __BaseException>);
}

export declare class ServiceUnavailable extends __BaseException {
    readonly name: "ServiceUnavailable";
    readonly $fault: "server";
    Message?: string;
    
    constructor(opts: __ExceptionOptionType<ServiceUnavailable, __BaseException>);
}

export declare class ValidationError extends __BaseException {
    readonly name: "ValidationError";
    readonly $fault: "client";
    Message?: string;
    
    constructor(opts: __ExceptionOptionType<ValidationError, __BaseException>);
}
export interface InvokeEndpointAsyncInput {
    
    EndpointName: string | undefined;
    
    ContentType?: string;
    
    Accept?: string;
    
    CustomAttributes?: string;
    
    InferenceId?: string;
    
    InputLocation: string | undefined;
    
    RequestTTLSeconds?: number;
}
export declare namespace InvokeEndpointAsyncInput {
    
    const filterSensitiveLog: (obj: InvokeEndpointAsyncInput) => any;
}
export interface InvokeEndpointAsyncOutput {
    
    InferenceId?: string;
    
    OutputLocation?: string;
}
export declare namespace InvokeEndpointAsyncOutput {
    
    const filterSensitiveLog: (obj: InvokeEndpointAsyncOutput) => any;
}
